<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:26 CEST 2019 -->
<title>StatementListenerDispatcher (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StatementListenerDispatcher (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/listeners/StatementListenerDispatcher.html" target="_top">Frames</a></li>
<li><a href="StatementListenerDispatcher.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.listeners</div>
<h2 title="Class StatementListenerDispatcher" class="title">Class StatementListenerDispatcher</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">org.firebirdsql.gds.ng.listeners.AbstractListenerDispatcher</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners">StatementListener</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.listeners.StatementListenerDispatcher</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners">StatementListener</a>&gt;, <a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners">StatementListener</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">StatementListenerDispatcher</span>
extends <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">AbstractListenerDispatcher</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners">StatementListener</a>&gt;
implements <a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners">StatementListener</a></pre>
<div class="block">Dispatcher to maintain and notify other <a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>StatementListener</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListenerDispatcher.html#StatementListenerDispatcher--">StatementListenerDispatcher</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListenerDispatcher.html#allRowsFetched-org.firebirdsql.gds.ng.FbStatement-">allRowsFetched</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;sender)</code>
<div class="block">Method to be notified when all rows have been fetched.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListenerDispatcher.html#receivedRow-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.gds.ng.fields.RowValue-">receivedRow</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;sender,
           <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;rowValue)</code>
<div class="block">Method to be notified of a new row of data.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListenerDispatcher.html#sqlCounts-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.gds.ng.SqlCountHolder-">sqlCounts</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;sender,
         <a href="../../../../../org/firebirdsql/gds/ng/SqlCountHolder.html" title="class in org.firebirdsql.gds.ng">SqlCountHolder</a>&nbsp;sqlCounts)</code>
<div class="block">Called when the SQL counts of a statement have been retrieved.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListenerDispatcher.html#statementExecuted-org.firebirdsql.gds.ng.FbStatement-boolean-boolean-">statementExecuted</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;sender,
                 boolean&nbsp;hasResultSet,
                 boolean&nbsp;hasSingletonResult)</code>
<div class="block">Method to be notified when a statement has been executed.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListenerDispatcher.html#statementStateChanged-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.gds.ng.StatementState-org.firebirdsql.gds.ng.StatementState-">statementStateChanged</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;sender,
                     <a href="../../../../../org/firebirdsql/gds/ng/StatementState.html" title="enum in org.firebirdsql.gds.ng">StatementState</a>&nbsp;newState,
                     <a href="../../../../../org/firebirdsql/gds/ng/StatementState.html" title="enum in org.firebirdsql.gds.ng">StatementState</a>&nbsp;previousState)</code>
<div class="block">Method to be notified when the state of a statement has changed.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListenerDispatcher.html#warningReceived-org.firebirdsql.gds.ng.FbStatement-java.sql.SQLWarning-">warningReceived</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;sender,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLWarning.html?is-external=true" title="class or interface in java.sql">SQLWarning</a>&nbsp;warning)</code>
<div class="block">Called when a warning was received for the <code>sender</code> statement.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.listeners.AbstractListenerDispatcher">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">AbstractListenerDispatcher</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#addListener-TListener-">addListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#addWeakListener-TListener-">addWeakListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#isShutdown--">isShutdown</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#iterator--">iterator</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#removeAllListeners--">removeAllListeners</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#removeListener-TListener-">removeListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#shutdown--">shutdown</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#forEach-java.util.function.Consumer-" title="class or interface in java.lang">forEach</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#spliterator--" title="class or interface in java.lang">spliterator</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="StatementListenerDispatcher--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>StatementListenerDispatcher</h4>
<pre>public&nbsp;StatementListenerDispatcher()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="receivedRow-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.gds.ng.fields.RowValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>receivedRow</h4>
<pre>public&nbsp;void&nbsp;receivedRow(<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;sender,
                        <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;rowValue)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#receivedRow-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.gds.ng.fields.RowValue-">StatementListener</a></code></span></div>
<div class="block">Method to be notified of a new row of data.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#receivedRow-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.gds.ng.fields.RowValue-">receivedRow</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners">StatementListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sender</code> - The <code>FbStatement</code> that called this method.</dd>
<dd><code>rowValue</code> - The row values.</dd>
</dl>
</li>
</ul>
<a name="allRowsFetched-org.firebirdsql.gds.ng.FbStatement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allRowsFetched</h4>
<pre>public&nbsp;void&nbsp;allRowsFetched(<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;sender)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#allRowsFetched-org.firebirdsql.gds.ng.FbStatement-">StatementListener</a></code></span></div>
<div class="block">Method to be notified when all rows have been fetched.
 <p>
 This method may also be called when the statement did not produce any rows (or did not open a result set).
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#allRowsFetched-org.firebirdsql.gds.ng.FbStatement-">allRowsFetched</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners">StatementListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sender</code> - The <code>FbStatement</code> that called this method.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#statementExecuted-org.firebirdsql.gds.ng.FbStatement-boolean-boolean-"><code>StatementListener.statementExecuted(FbStatement, boolean, boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="statementExecuted-org.firebirdsql.gds.ng.FbStatement-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>statementExecuted</h4>
<pre>public&nbsp;void&nbsp;statementExecuted(<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;sender,
                              boolean&nbsp;hasResultSet,
                              boolean&nbsp;hasSingletonResult)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#statementExecuted-org.firebirdsql.gds.ng.FbStatement-boolean-boolean-">StatementListener</a></code></span></div>
<div class="block">Method to be notified when a statement has been executed.
 <p>
 This event with <code>hasResultSet=true</code> can be seen as the counter part of <a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#allRowsFetched-org.firebirdsql.gds.ng.FbStatement-"><code>StatementListener.allRowsFetched(FbStatement)</code></a>.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#statementExecuted-org.firebirdsql.gds.ng.FbStatement-boolean-boolean-">statementExecuted</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners">StatementListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sender</code> - The <code>FbStatement</code> that called this method.</dd>
<dd><code>hasResultSet</code> - <code>true</code> there is a result set, <code>false</code> there is no result set</dd>
<dd><code>hasSingletonResult</code> - <code>true</code> singleton result, <code>false</code> statement will produce indeterminate number of rows;
         can be ignored when <code>hasResultSet</code> is false.</dd>
</dl>
</li>
</ul>
<a name="statementStateChanged-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.gds.ng.StatementState-org.firebirdsql.gds.ng.StatementState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>statementStateChanged</h4>
<pre>public&nbsp;void&nbsp;statementStateChanged(<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;sender,
                                  <a href="../../../../../org/firebirdsql/gds/ng/StatementState.html" title="enum in org.firebirdsql.gds.ng">StatementState</a>&nbsp;newState,
                                  <a href="../../../../../org/firebirdsql/gds/ng/StatementState.html" title="enum in org.firebirdsql.gds.ng">StatementState</a>&nbsp;previousState)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#statementStateChanged-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.gds.ng.StatementState-org.firebirdsql.gds.ng.StatementState-">StatementListener</a></code></span></div>
<div class="block">Method to be notified when the state of a statement has changed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#statementStateChanged-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.gds.ng.StatementState-org.firebirdsql.gds.ng.StatementState-">statementStateChanged</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners">StatementListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sender</code> - The <code>FbStatement</code> that called this method.</dd>
<dd><code>newState</code> - The new state of the statement</dd>
<dd><code>previousState</code> - The old state of the statement</dd>
</dl>
</li>
</ul>
<a name="warningReceived-org.firebirdsql.gds.ng.FbStatement-java.sql.SQLWarning-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>warningReceived</h4>
<pre>public&nbsp;void&nbsp;warningReceived(<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;sender,
                            <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLWarning.html?is-external=true" title="class or interface in java.sql">SQLWarning</a>&nbsp;warning)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#warningReceived-org.firebirdsql.gds.ng.FbStatement-java.sql.SQLWarning-">StatementListener</a></code></span></div>
<div class="block">Called when a warning was received for the <code>sender</code> statement.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#warningReceived-org.firebirdsql.gds.ng.FbStatement-java.sql.SQLWarning-">warningReceived</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners">StatementListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sender</code> - Statement receiving the warning</dd>
<dd><code>warning</code> - Warning</dd>
</dl>
</li>
</ul>
<a name="sqlCounts-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.gds.ng.SqlCountHolder-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>sqlCounts</h4>
<pre>public&nbsp;void&nbsp;sqlCounts(<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;sender,
                      <a href="../../../../../org/firebirdsql/gds/ng/SqlCountHolder.html" title="class in org.firebirdsql.gds.ng">SqlCountHolder</a>&nbsp;sqlCounts)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#sqlCounts-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.gds.ng.SqlCountHolder-">StatementListener</a></code></span></div>
<div class="block">Called when the SQL counts of a statement have been retrieved.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html#sqlCounts-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.gds.ng.SqlCountHolder-">sqlCounts</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners">StatementListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sender</code> - Statement that called this method</dd>
<dd><code>sqlCounts</code> - SQL counts</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/listeners/StatementListenerDispatcher.html" target="_top">Frames</a></li>
<li><a href="StatementListenerDispatcher.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
